<?php
/**
 * Theme color options
 *
 * @package Theme Palace
 * @subpackage Yummy Pro
 * @since Yummy Pro 1.0
 */

// Site layout setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[theme_color]', array(
	'sanitize_callback'   => 'yummy_pro_sanitize_select',
	'default'             => $options['theme_color']
) );

$wp_customize->add_control( 'yummy_pro_theme_options[theme_color]', array(
	'label'               => esc_html__( 'Theme Color', 'yummy-pro' ),
	'section'             => 'colors',
	'type'                => 'select',
	'choices'			  => yummy_pro_theme_color(),
) );

// Site layout setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[theme_color_version]', array(
	'sanitize_callback'   => 'yummy_pro_sanitize_select',
	'default'             => $options['theme_color_version']
) );

$wp_customize->add_control( 'yummy_pro_theme_options[theme_color_version]', array(
	'label'               => esc_html__( 'Color Version', 'yummy-pro' ),
	'section'             => 'colors',
	'type'                => 'radio',
	'choices'  => array(
            'dark-version'   	=> esc_html__( 'Dark Version', 'yummy-pro' ),
            'lite-version'      => esc_html__( 'Lite Version', 'yummy-pro' ),
		),
) );