<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Yummy Pro
* @since Yummy Pro 1.0
*/

if ( ! function_exists( 'yummy_pro_validate_special_item_count' ) ) :
    /*
    * validate function for number of special item count
    */
    function yummy_pro_validate_special_item_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'yummy-pro' ) );
        } elseif ( $value < 1 ) {
            $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'yummy-pro' ) );
        } elseif ( $value > 6 ) {
            $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'yummy-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'yummy_pro_validate_special_day_count' ) ) :
    /*
    * validate function for number of special day count
    */
    function yummy_pro_validate_special_day_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'yummy-pro' ) );
        } elseif ( $value < 1 ) {
            $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'yummy-pro' ) );
        } elseif ( $value > 10 ) {
            $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'yummy-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'yummy_pro_validate_post_id' ) ) :
    /*
    * validate function for interior section posts id
    */
    function yummy_pro_validate_post_id( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'yummy-pro' ) );
        } elseif ( $value < 1 ) {
            $validity->add( 'min_vlaue_of_posts', esc_html__( 'The Posts ID must be an positive integer.', 'yummy-pro' ) );
        } 
        return $validity;
    }
endif;

if ( ! function_exists( 'yummy_pro_validate_slider_count' ) ) :
    /*
    * validate function for number of slider
    */
    function yummy_pro_validate_slider_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'yummy-pro' ) );
        } elseif ( $value < 1 ) {
            $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'yummy-pro' ) );
        } elseif ( $value > 6 ) {
            $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 5', 'yummy-pro' ) );
        }
        return $validity;
    }
endif;